Summary: Support library for the Mobile Broadband Interface Model protocol
Name: libmbim
Version: 1.28.4
Release: 4%{?dist}
License: LGPLv2+
URL: https://gitlab.freedesktop.org/mobile-broadband/libmbim/
Source0: https://gitlab.freedesktop.org/mobile-broadband/libmbim/-/archive/%{version}/%{name}-%{version}.tar.gz

# FCC unLock support
Patch3000: 0001-intel-mutual-authentication-new-service-fcc-lock.patch
Patch3001: 0002-intel-tools-new-service-trace-config.patch

BuildRequires: gcc meson >= 0.53
BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: glib2-devel >= 2.56.0 gobject-introspection-devel
BuildRequires: python3 gtk-doc help2man


%description
This package provides the libraries that make it easier for glib applications to use 
MBIM functionality.


%package devel
Summary: Header files for adding MBIM support to applications that use glib
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel pkgconfig

%description devel
This package provides the header and pkg-config files for developing applications.

%package utils
Summary: Utilities to use the MBIM protocol from the command line
Requires: %{name} = %{version}-%{release}
License: GPLv2+

%description utils
This package provides the utilities that make it easier to use MBIM functionality 
from the command line.


%prep
%autosetup -p1


%build
%meson -Dgtk_doc=true -Dbash_completion=false
%meson_build

%install
%meson_install
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference meson.build
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
cp -a src/mbimcli/mbimcli %{buildroot}%{_datadir}/bash-completion/completions/


%check
%meson_test


%files
%license LICENSES/LGPL-2.1-or-later.txt
%doc NEWS AUTHORS README.md
%{_libdir}/libmbim-glib.so.4*
%{_libdir}/girepository-1.0/Mbim-1.0.typelib

%files devel
%{_includedir}/libmbim-glib/
%{_libdir}/pkgconfig/mbim-glib.pc
%{_libdir}/libmbim-glib.so
%{_datadir}/gtk-doc/html/libmbim-glib/
%{_datadir}/gir-1.0/Mbim-1.0.gir

%files utils
%license LICENSES/GPL-2.0-or-later.txt
%{_bindir}/mbimcli
%{_bindir}/mbim-network
%{_datadir}/bash-completion
%{_libexecdir}/mbim-proxy
%{_mandir}/man1/mbim*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.28.4-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.28.4-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.28.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 Wang Guodong <gordonwwang@tencent.com> - 1.28.4-1
- Upgrade to 1.28.4
- Apply fcc lock patches

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 Wang Guodong <gordonwwang@tencent.com> - 1.26.4-1
- package init.
